<?php

require_once '../../incfiles/core.php';
require_once '../../incfiles/func.php';
require_once '../../incfiles/auth.php';
require_once '../../incfiles/user.php';

if (empty($user_id)) go(URL);

if (!empty($_GET['id']) && is_numeric($_GET['id']))
{
	$id = abs(intval($_GET['id']));
	$result = mysql_query("SELECT * FROM `groups` WHERE `id` = '".$id."' LIMIT 1");
	if (mysql_num_rows($result) == true) $arr_group = mysql_fetch_array($result);
	else go(URL);
	if (!in_array($user_id, explode("||", substr($arr_group['admins'], 1, -1)))) go(URL);
}
else go(URL);
		
$title = lang('Управление пользователями','Керування користувачами');
require_once '../../incfiles/head.php';

echo '<div class="title">
	<a href="'.URL.'/groups/?id='.$id.'" onclick="Page.Go(this.href); return false">'.lang('Сообщество','Спільнота').'</a>
	<a href="'.URL.'/groups/adm/?id='.$id.'" onclick="Page.Go(this.href); return false">'.lang('Управление сообществом','Керування спільнотою').'</a>
	</div><div class="title">'.$title.'</div>';

require_once '../handler/access_user.php';

if (!empty($arr_group['users']))
{
	$q = explode("||", substr($arr_group['users'], 1, -1));
	$count = count($q);
	$cp = ceil($count/10);
	$p = (isset($_GET['p']) and is_numeric($_GET['p']) and $_GET['p']>1 and $_GET['p']<=$cp) ? $_GET['p'] : 1;
	$start = $p*10-10;

	for ($i = 0; $i < $count; $i++)
	{	
		echo '<div class="block"><div class="right"><a id="block_menu_'.$q[$i].'" href="" onclick="BlockMenu.Open('.$q[$i].'); return false"><img id="block_menu_'.$q[$i].'" src="'.URL.'/design/img/menu_show.png"/></a></div>'.user_name($q[$i]).'<br/><br/></div>';
		if ($user_id != $q[$i] && $q[$i] != $arr_group['user_id'])
		{
			echo '<div id="block_menu_'.$q[$i].'" class="title display_none">
			<a'.(in_array($q[$i], explode("||", substr($arr_group['admins'], 1, -1)))?' class="title_a_hover"':'').' href="'.URL.'/groups/adm/users.php?id='.$id.'&admin='.$q[$i].'" onclick="Page.Go(this.href); return false">'.lang('Администратор','Адміністратор').'</a>
			<a'.(in_array($q[$i], explode("||", substr($arr_group['moders'], 1, -1)))?' class="title_a_hover"':'').' href="'.URL.'/groups/adm/users.php?id='.$id.'&moder='.$q[$i].'" onclick="Page.Go(this.href); return false">'.lang('Модератор','Модератор').'</a>
			<a'.(!in_array($q[$i], explode("||", substr($arr_group['admins'], 1, -1)))&&!in_array($q[$i], explode("||", substr($arr_group['moders'], 1, -1)))?' class="title_a_hover"':'').' href="'.URL.'/groups/adm/users.php?id='.$id.'&u='.$q[$i].'" onclick="Page.Go(this.href); return false">'.lang('Пользователь','Користувач').'</a>
			<a class="title_a_hover" id="bg_orange" href="'.URL.'/groups/adm/users.php?id='.$id.'&del='.$q[$i].'" onclick="Page.Go(this.href); return false">'.lang('Удалить','Видалити').'</a>';
			if (!in_array($q[$i], explode("||", substr($arr_group['banlist'], 1, -1)))) echo ' <a class="title_a_hover" id="bg_red" href="'.URL.'/groups/adm/ban.php?id='.$id.'&ban_id='.$q[$i].'" onclick="Page.Go(this.href); return false">'.lang('Заблокировать','Заблокувати').'</a>';
			echo ' <a class="title_a_hover" id="bg_black" href="'.URL.'/groups/adm/users.php?id='.$id.'&blacklist='.$q[$i].'" onclick="Page.Go(this.href); return false">'.lang('Черный список','Чорний список').'</a>
			</div>';
		}
	}
	navi($p,$cp,''.URL.'/groups/adm/users.php?id='.$id.'&');
}
require_once '../../incfiles/foot.php';

?>